Ask Your Question
1

akmods conflicts with kernel-debug-devel-4.0.6-200.fc21.x86_64

asked 2015-07-26 09:24:01 -0600

florian gravatar image

sudo yum update is giving me the following conflict since a few days:

Error: akmods conflicts with kernel-debug-devel-4.0.6-200.fc21.x86_64
Error: akmods conflicts with kernel-debug-devel-4.0.8-200.fc21.x86_64

Looks like akmods-0.5.3-2.fc21.noarch collides with kernel-debug-devel

Any idea how to fix it? Why do I have kernel-debug-devel installed? (I am not a kernel or kernel module developer). Can I just remove it?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2015-07-26 10:54:26 -0600

sideburns gravatar image

Judging by what you write, there's no obvious reason to have kernel-debug-devel installed. Remove it, but don't use -y so that you can see what, if any dependencies will go along with it. After all, there's always the chance that something you actually need requires it, unlikely though that seems. Keep us informed.

edit flag offensive delete link more

Comments

1

sudo yum remove kernel-debug-devel fixed the problem. Nothing was depending on the package kernel-debug-devel. I have no clue when and why I installed it... Thanks!

florian gravatar imageflorian ( 2015-07-26 11:22:38 -0600 )edit

I've had the same problem. I've installed akmod-VirtualBox from @rpmfusion-free-updates and it was conflicting with kernel-debug-devel from @updates. Removing kernel-debug-devel (and associated akmod-VirtualBox) removes the error.

Rui Vieira gravatar imageRui Vieira ( 2015-09-18 04:38:07 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-07-26 09:24:01 -0600

Seen: 1,692 times

Last updated: Jul 26 '15